"""
Сортування словника за допомогою лямбда-функції
Лямбда-функції Python є анонімними або безіменними функціями. Ми можемо використовувати lamba-функції для
отримання значення елемента словника без імпорту модуля operator для itemgetter().

Відсортуємо словник за значеннями, використовуючи лямбда-функцію в аргументі key:
"""
dict1 = {1: 1, 5: 9, 3: 4}
sorted_tuples = sorted(dict1.items(), key=lambda item: item[1])
print(sorted_tuples)  # [(1, 1), (3, 4), (2, 9)]
sorted_dict = {k: v for k, v in sorted_tuples}
# {1: 1, 3: 4, 5: 9}
print(sorted_dict)
"""
Зверніть увагу, що методи, які ми досі обговорювали, працюють тільки з Python 3.7 і новіше.
"""